https://api.knoxapi.comList all payments for an invoice
GET/v1/invoice_payments
When retrieving an invoice, there is an includable payments property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of payments.
Query parameters
createdobject | integerOnly return invoice payments that were created during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
invoicestringThe identifier of the invoice whose payments to return.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
paymentobjectThe payment details of the invoice payments to return.
Show 3 child parameters
typestringRequiredPossible valuespayment_intentpayment_record
payment_intentstringpayment_recordstring
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.statusstringThe status of the invoice payments to return.
Possible valuescanceledopenpaid
Returns
A list of invoice_payment objects.
curl -G https://api.knoxapi.com/v1/invoice_payments \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/invoice_payments', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/invoice_payments", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/invoice_payments', {
limit: 3,
}){
"object": "list",
"url": "/v1/invoice_payments",
"has_more": false,
"data": [
{
"amount_paid": null,
"amount_requested": 1112626247,
"created": 1028554472,
"currency": "currency",
"id": "obj_123",
"invoice": "invoice",
"is_default": true,
"livemode": true,
"object": "invoice_payment",
"payment": {
"type": "payment_intent"
},
"status": "status",
"status_transitions": {
"canceled_at": null,
"paid_at": null
}
}
]
}Retrieve an InvoicePayment
GET/v1/invoice_payments/{invoice_payment}
Retrieves the invoice payment with the given ID.
Path parameters
invoice_paymentstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The invoice_payment object.
curl https://api.knoxapi.com/v1/invoice_payments/obj_123 \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/invoice_payments/obj_123');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/invoice_payments/obj_123")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/invoice_payments/obj_123'){
"amount_paid": null,
"amount_requested": 1112626247,
"created": 1028554472,
"currency": "currency",
"id": "obj_123",
"invoice": "invoice",
"is_default": true,
"livemode": true,
"object": "invoice_payment",
"payment": {
"type": "payment_intent"
},
"status": "status",
"status_transitions": {
"canceled_at": null,
"paid_at": null
}
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.